@import "theme-forgejo-dark.css";

:root {
    --color-primary: #93ebf0;
    --color-primary-contrast: #000;

    --color-primary-dark-1: #aaf0f3;
    --color-primary-dark-2: #aaf0f3;
    --color-primary-dark-3: #c1f4f6;
    --color-primary-dark-4: #c1f4f6;
    --color-primary-dark-5: #d8f9f9;
    --color-primary-dark-6: #d8f9f9;
    --color-primary-dark-7: #ecfcfd;

    --color-primary-light-1: #7fdde3;
    --color-primary-light-2: #6acfd6;
    --color-primary-light-3: #4faeb5;
    --color-primary-light-4: #3a8b91;
    --color-primary-light-5: #3a8b91;
    --color-primary-light-6: #2a6b70;
    --color-primary-light-7: #2a6b70;

    --color-primary-alpha-10: #93ebf019;
    --color-primary-alpha-20: #93ebf033;
    --color-primary-alpha-30: #93ebf04d;
    --color-primary-alpha-40: #93ebf066;
    --color-primary-alpha-50: #93ebf080;
    --color-primary-alpha-60: #93ebf099;
    --color-primary-alpha-70: #93ebf0b3;
    --color-primary-alpha-80: #93ebf0cc;
    --color-primary-alpha-90: #93ebf0e6;

    --color-secondary: #2c3853;

    --color-secondary-dark-1: #505b73;
    --color-secondary-dark-2: #6b758a;
    --color-secondary-dark-3: #868fa1;
    --color-secondary-dark-4: #a1aab8;
    --color-secondary-dark-5: #bcc4cf;
    --color-secondary-dark-6: #d7dfe6;
    --color-secondary-dark-7: #e9edf2;
    --color-secondary-dark-8: #f3f5f8;
    --color-secondary-dark-9: #fafbfc;
    --color-secondary-dark-10: #ffffff;
    --color-secondary-dark-11: #ffffff;
    --color-secondary-dark-12: #ffffff;
    --color-secondary-dark-13: #ffffff;

    --color-secondary-light-1: #253046;
    --color-secondary-light-2: #2c3853;
    --color-secondary-light-3: #1f293a;
    --color-secondary-light-4: #181f2c;

    --color-secondary-alpha-10: #2c385319;
    --color-secondary-alpha-20: #2c385333;
    --color-secondary-alpha-30: #2c38534d;
    --color-secondary-alpha-40: #2c385366;
    --color-secondary-alpha-50: #2c385380;
    --color-secondary-alpha-60: #2c385399;
    --color-secondary-alpha-70: #2c3853b3;
    --color-secondary-alpha-80: #2c3853cc;
    --color-secondary-alpha-90: #2c3853e6;

    --color-body: rgb(18, 25, 46);
    --color-nav-bg: rgb(30, 39, 61);
    --color-menu: rgb(30, 39, 61);
    --color-button: rgb(30, 39, 61);
    --color-secondary: rgba(44, 56, 83, .2);
    --color-light-border: rgb(44, 56, 83);


    --color-box-header: rgb(33, 44, 71);
    --color-box-body: rgb(33, 44, 71);
    --color-console-bg: rgb(30, 39, 61);
    --color-code-bg: rgb(30, 39, 61);
    --color-box-body-highlight: rgb(30, 39, 61);
    --color-hover: rgb(54, 64, 87);
    --color-nav-hover-bg: rgb(54, 64, 87);
    --color-active: rgb(54, 64, 87);
    --color-text: #fff;

    --color-error-bg: rgb(198, 51, 112);
    --color-red: rgb(198, 51, 112);
    --color-input-background: rgb(30, 39, 61);
    --color-input-border: rgb(44, 56, 83);
    --color-input-border-hover: rgba(44, 56, 83);
    --color-label-bg-alt: rgb(33, 44, 71);
    --color-label-bg: rgb(30, 39, 61);
}

.chroma {
    .nt {
        color: var(--color-primary);
    }

    .c, .c1, .ch, .cm {
        color: #777e94;
        opacity: 0.6;
    }

    .sb, .s, .s1, .s2, .m, .mb, .mf, .mh, .mi, .mo {
        color: #f6c177;
    }

    .nx {
        color: #9ccfd8;
    }

    .kt, .kc {
        color: #c4a7e7;
    }
}



.ui.error.message,
.ui.attached.error.message,
.ui.red.message,
.ui.attached.red.message,
.ui.negative.message,
.ui.attached.negative.message {
    .header {
        color: var(--color-error-text);
        font-weight: 700;
    }

}

.flex-list>.flex-item+.flex-item {
    border-top-color: rgb(30 39 61 / .8);
}
